No se puede actualizar la base de datos error al actualizar de SCVMM 2012 SP1 a SCVMM 2012 R2

Este artículo ayuda a solucionar un problema en el que no se puede actualizar desde Microsoft System Center 2012 Virtual Machine Manager Service Pack 1 a System Center 2012 R2 Virtual Machine Manager.

Versión del producto original:   Microsoft System Center 2012 R2 Virtual Machine Manager
Número de KB original:   2960054

Síntomas

Cuando intenta actualizar desde Microsoft System Center 2012 Virtual Machine Manager (SCVMM) Service Pack 1 (SP1) a System Center 2012 R2 Virtual Machine Manager, el proceso produce errores y recibe el mensaje de error siguiente:

La base de datos de Virtual Machine Manager no se puede actualizar. La VirtualManagerDB de Virtual Machine Manager no se actualizó. Pruebe una nueva base de datos y vuelva a ejecutar el programa de instalación.

Causa

Este problema se produce porque SCVMM 2012 R2 requiere que la VirtualManagerDB base de datos y la instancia de Microsoft SQL Server estén en el nivel de SQL server 2008 R2 Service Pack 2 (SP2) o una versión posterior.

Solución

Para resolver este problema, siga estos pasos:

  1. Actualice la instancia de SQL Server a SQL Server 2008 R2 SP2.
  2. Eleve el nivel de la VirtualManagerDB base de datos a SQL Server 2008 R2 SP2.

Más información

Para obtener más información acerca del nivel de instancia de SQL Server, consulte el siguiente tema de Microsoft:

Requisitos del sistema: base de datos VMM

Nota

En este tema no se menciona que la base de datos VMM basada en SQL Server también debe estar en el nivel de SQL Server 2008 R2 SP2 o una versión posterior.